SportsStore/Components/CartSummaryViewComponent.cs
using Microsoft.AspNetCore.Mvc;
using SportsStore.Models;

namespace SportsStore.Components
{
  public class CartSummaryViewComponent : ViewComponent
  {
    private Cart cart;

    public CartSummaryViewComponent(Cart cartService)
    {
      cart = cartService;
    }

    public IViewComponentResult Invoke()
    {
      return View(cart);
    }
  }
}

SportsStore/Components/NavigationMenuViewComponent.cs
using Microsoft.AspNetCore.Mvc;
using SportsStore.Models;

namespace SportsStore.Components
{
  public class NavigationMenuViewComponent : ViewComponent
  {
    private IStoreRepository repository;

    public NavigationMenuViewComponent(IStoreRepository repo)
    {
      repository = repo;
    }
    public IViewComponentResult Invoke()
    {
      ViewBag.SelectedCategory = RouteData?.Values["category"];
      return View(repository.Products
      .Select(x => x.Category)
      .Distinct()
      .OrderBy(x => x));
    }
  }
}

SportsStore/Views/Shared/ProductSummary.cshtml
@model Product

<div class="card card-outline-primary m-1 p-1">
  <div class="bg-faded p-1">
    <h4>@Model?.Name
      <span class="badge rounded-pill bg-primary text-white" style="float:right">
        <small>@Model?.Price.ToString("c")</small>
      </span>
    </h4>
  </div>
  <form id="@Model?.ProductID" asp-page="/Cart" method="post">
    <input type="hidden" asp-for="ProductID" />
    <input type="hidden" name="returnUrl"
      value="@(ViewContext.HttpContext.Request.Path.ToString() + ViewContext.HttpContext.Request.QueryString.ToString())" />
    <span class="card-text p-1">
      @Model?.Description
      <button type="submit" class="btn btn-success btn-sm pull-right" style="float:right">Add To Cart</button>
    </span>
  </form>
</div>

SportsStore/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width" />
  <title>SportsStore</title>
  <link rel="stylesheet" href="/lib/bootstrap/css/bootstrap.min.css" />
  <link rel="stylesheet" href="/lib/font-awesome/css/all.min.css" />
</head>

<body>
  <div class="bg-dark text-white p-2">
    <div class="container-fluid">
      <div class="row">
        <div class="col navbar-brand">SPORTS STORE</div>
        <div class="col-6 navbar-text text-end">
          <vc:cart-summary />
        </div>
      </div>
    </div>
  </div>
  <div class="row m-1 p-1">
    <div id="categories" class="col-3">
      <vc:navigation-menu />
    </div>
    <div class="col-9">
      @RenderBody()
    </div>
  </div>
</body>

</html>